Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class Settings

    java.lang.Object
      org.hibernate.cfg.Settings

    public final class Settings

extends Object

Settings that affect the behaviour of Hibernate at runtime.

Author:
  Gavin King

Method Summary
`BatcherFactory` | `getBatcherFactory()`
`CacheProvider` | `getCacheProvider()`
`String` | `getCacheRegionPrefix()`
`ConnectionProvider` | `getConnectionProvider()`
`ConnectionReleaseMode` | `getConnectionReleaseMode()`
`int` | `getDefaultBatchFetchSize()`
`String` | `getDefaultCatalogName()`
`EntityMode` | `getDefaultEntityMode()`
`String` | `getDefaultSchemaName()`
`Dialect` | `getDialect()`
`int` | `getJdbcBatchSize()`
`Integer` | `getJdbcFetchSize()`
`Integer` | `getMaximumFetchDepth()`
`QueryCacheFactory` | `getQueryCacheFactory()`
`Map` | `getQuerySubstitutions()`
`QueryTranslatorFactory` | `getQueryTranslatorFactory()`
`String` | `getSessionFactoryName()`
`SQLExceptionConverter` | `getSQLExceptionConverter()`
`TransactionFactory` | `getTransactionFactory()`
`TransactionManagerLookup` | `getTransactionManagerLookup()`
`boolean` | `isAutoCloseSessionEnabled()`
`boolean` | `isAutoCreateSchema()`
`boolean` | `isAutoDropSchema()`
`boolean` | `isAutoUpdateSchema()`
`boolean` | `isAutoValidateSchema()`
`boolean` | `isCommentsEnabled()`
`boolean` | `isDataDefinitionImplicitCommit()`
`boolean` | `isDataDefinitionInTransactionSupported()`
`boolean` | `isFlushBeforeCompletionEnabled()`
`boolean` | `isFormatSqlEnabled()`
`boolean` | `isGetGeneratedKeysEnabled()`
`boolean` | `isIdentifierRollbackEnabled()`
`boolean` | `isJdbcBatchVersionedData()`
`boolean` | `isMinimalPutsEnabled()`
`boolean` | `isNamedQueryStartupCheckingEnabled()`
`boolean` | `isOrderInsertsEnabled()`
`boolean` | `isOrderUpdatesEnabled()`
`boolean` | `isQueryCacheEnabled()`
`boolean` | `isScrollableResultSetsEnabled()`
`boolean` | `isSecondLevelCacheEnabled()`
`boolean` | `isShowSqlEnabled()`
`boolean` | `isStatisticsEnabled()`
`boolean` | `isStrictJPAQLCompliance()`
`boolean` | `isStructuredCacheEntriesEnabled()`
`boolean` | `isWrapResultSetsEnabled()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultSchemaName

    public String getDefaultSchemaName()

### getDefaultCatalogName

    public String getDefaultCatalogName()

### getDialect

    public Dialect getDialect()

### getJdbcBatchSize

    public int getJdbcBatchSize()

### getDefaultBatchFetchSize

    public int getDefaultBatchFetchSize()

### getQuerySubstitutions

    public Map getQuerySubstitutions()

### isShowSqlEnabled

    public boolean isShowSqlEnabled()

### isFormatSqlEnabled

    public boolean isFormatSqlEnabled()

### isIdentifierRollbackEnabled

    public boolean isIdentifierRollbackEnabled()

### isScrollableResultSetsEnabled

    public boolean isScrollableResultSetsEnabled()

### isGetGeneratedKeysEnabled

    public boolean isGetGeneratedKeysEnabled()

### isMinimalPutsEnabled

    public boolean isMinimalPutsEnabled()

### getJdbcFetchSize

    public Integer getJdbcFetchSize()

### getConnectionProvider

    public ConnectionProvider getConnectionProvider()

### getTransactionFactory

    public TransactionFactory getTransactionFactory()

### getSessionFactoryName

    public String getSessionFactoryName()

### isAutoCreateSchema

    public boolean isAutoCreateSchema()

### isAutoDropSchema

    public boolean isAutoDropSchema()

### isAutoUpdateSchema

    public boolean isAutoUpdateSchema()

### getMaximumFetchDepth

    public Integer getMaximumFetchDepth()

### getCacheProvider

    public CacheProvider getCacheProvider()

### getTransactionManagerLookup

    public TransactionManagerLookup getTransactionManagerLookup()

### isQueryCacheEnabled

    public boolean isQueryCacheEnabled()

### isCommentsEnabled

    public boolean isCommentsEnabled()

### isSecondLevelCacheEnabled

    public boolean isSecondLevelCacheEnabled()

### getCacheRegionPrefix

    public String getCacheRegionPrefix()

### getQueryCacheFactory

    public QueryCacheFactory getQueryCacheFactory()

### isStatisticsEnabled

    public boolean isStatisticsEnabled()

### isJdbcBatchVersionedData

    public boolean isJdbcBatchVersionedData()

### isFlushBeforeCompletionEnabled

    public boolean isFlushBeforeCompletionEnabled()

### getBatcherFactory

    public BatcherFactory getBatcherFactory()

### isAutoCloseSessionEnabled

    public boolean isAutoCloseSessionEnabled()

### getConnectionReleaseMode

    public ConnectionReleaseMode getConnectionReleaseMode()

### getQueryTranslatorFactory

    public QueryTranslatorFactory getQueryTranslatorFactory()

### getSQLExceptionConverter

    public SQLExceptionConverter getSQLExceptionConverter()

### isWrapResultSetsEnabled

    public boolean isWrapResultSetsEnabled()

### isOrderUpdatesEnabled

    public boolean isOrderUpdatesEnabled()

### isOrderInsertsEnabled

    public boolean isOrderInsertsEnabled()

### isStructuredCacheEntriesEnabled

    public boolean isStructuredCacheEntriesEnabled()

### getDefaultEntityMode

    public EntityMode getDefaultEntityMode()

### isAutoValidateSchema

    public boolean isAutoValidateSchema()

### isDataDefinitionImplicitCommit

    public boolean isDataDefinitionImplicitCommit()

### isDataDefinitionInTransactionSupported

    public boolean isDataDefinitionInTransactionSupported()

### isStrictJPAQLCompliance

    public boolean isStrictJPAQLCompliance()

### isNamedQueryStartupCheckingEnabled

    public boolean isNamedQueryStartupCheckingEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD